/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\weapons\swordofathousandtruths.cs
Lines of code: 44
***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class swordofathousandtruths : VikingSword
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }
    	public override int ArtifactRarity{ get{ return 20; } }
		[Constructable]
		public swordofathousandtruths() : base()
		{
		Name="The Sword of a Thousand Truths";
		Hue=1152;
		LootType=LootType.Cursed;
		
		MinDamage=197;
		MaxDamage=296;
		
		Attributes.Luck=1500;
		Attributes.SpellChanneling=1;
		Attributes.AttackChance=8;
		Attributes.WeaponDamage=28;
		
		SkillBonuses.SetValues( 0, SkillName.Swords, 120.0 );
	
	
		WeaponAttributes.HitDispel=100;		
		WeaponAttributes.HitHarm=100;
		WeaponAttributes.HitMagicArrow=100;
		WeaponAttributes.HitFireball=100;
		WeaponAttributes.HitLightning=100;

		WeaponAttributes.HitLeechMana=100;
		}
		

		

		public swordofathousandtruths( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
}